#!/bin/bash

LOG="mpi-defq.log"

N_TASK=1
if [[ $# > 1 ]]; then
    N_TASK=$((2 ** ${1:-0}))
    shift
fi

SINDARIN=${1}
JOBNAME=`basename ${SINDARIN} .sin`

echo "${JOBNAME} defq/sbatch.sh running at `date`" >> ${LOG}
echo "  dependencies are $SP_DEPENDENCY_ARG" >> ${LOG}
echo "  benchmark over ${N_TASK}" >> ${LOG}
echo >> ${LOG}

SBATCH_ARG=(
    --job-name="${JOBNAME}"
    --ntasks=${N_TASK}
    --workdir=`defq`/${JOBNAME}/${N_TASK}
)

if [[ "$(pwd | grep openmp)" ]]; then
    echo "  use MPI+OpenMP with 2 threads" >> ${LOG}
    SBATCH_ARG+=(
        --cpus-per-task=2
    )
fi

jobid=`sbatch ${SBATCH_ARG[@]} ${SP_DEPENDENCY_ARG} ${HOME}/workspace/whizard-scripts/defq/submit.sh ${SINDARIN} | cut -f4 -d' '`
echo "TASK: ${JOBNAME} ${jobid}"
