#!/bin/bash

LOG="mpi-defq.log"

SINDARIN=${1}
JOBNAME=`basename ${SINDARIN} .sin`

echo "${JOBNAME} defq/sequence.sh running at `date`" >> ${LOG}
echo "  dependencies are $SP_DEPENDENCY_ARG" >> ${LOG}

echo -n "TASK: ${JOBNAME}"
for i in `seq 0 7`; do
    N_TASK=$((2**${i}))

    SBATCH_ARG=(
        --job-name="${JOBNAME}"
        --ntasks=${N_TASK}
        --workdir=`pwd`/${JOBNAME}/${N_TASK}
    )

    echo "  benchmark over ${N_TASK}" >> ${LOG}

    if [[ "$(pwd | grep openmp)" ]]; then
        echo "  use MPI+OpenMP with 2 threads" >> ${LOG}
        SBATCH_ARG+=(
            --cpus-per-task=2
        )
    fi

    jobid=`sbatch ${SBATCH_ARG[@]} ${SP_DEPENDENCY_ARG} ${HOME}/workspace/whizard-scripts/defq/submit.sh ${SINDARIN} | cut -f4 -d' '`
    echo -n " ${jobid}"
done;
echo >> ${LOG}
