#!/bin/bash -xe

# Compile and install GCC-x.x.x
# ${HOME}/local/bin/gcc
# $ gcc

GPG_KEYS=`cat <<EOF
B215C1633BCA0477615F1B35A5B3A004745C015A \
B3C42148A44E6983B3E4CC0793FA9B1AB75C61B8 \
90AA470469D3965A87A5DCB494D03953902C9419 \
80F98B2E0DAB6C8281BDF541A7C8C3B2F71EDF1C \
7F74F97C103468EE5D750B583AB00996FC26A641 \
33C235A34C46AA3FFB293709A328C3A2C3C45C06
EOF`

for key in $GPG_KEYS; do
    gpg --keyserver ha.pool.sks-keyservers.net --recv-keys "$key";
done

GCC_VERSION='5.4.0'

PREFIX=${HOME}/local

curl -fSL "http://ftpmirror.gnu.org/gcc/gcc-$GCC_VERSION/gcc-$GCC_VERSION.tar.bz2" -o gcc.tar.bz2 \
    && curl -fSL "http://ftpmirror.gnu.org/gcc/gcc-$GCC_VERSION/gcc-$GCC_VERSION.tar.bz2.sig" -o gcc.tar.bz2.sig \
    && gpg --batch --verify gcc.tar.bz2.sig gcc.tar.bz2 \
    && mkdir -p ${HOME}/workspace/build/gcc-${GCC_VERSION} \
    && tar -xf gcc.tar.bz2 -C ${HOME}/workspace/build/gcc-${GCC_VERSION} --strip-components=1 \
    && rm gcc.tar.bz2* \
    && cd ${HOME}/workspace/build/gcc-${GCC_VERSION} \
    && ./contrib/download_prerequisites \
    && { rm *.tar.* || true; } \
    && dir="$(mktemp -d)" \
    && cd "$dir" \
    && ${HOME}/workspace/build/gcc-${GCC_VERSION}/configure \
			  CC=clang \
                          --disable-multilib \
                          --enable-languages=c,c++,fortran,go \
                          --prefix=${PREFIX} \
    && make -j"$(nproc)" \
    && make install-strip \
    && cd .. \
    && rm -rf "$dir"
