#!/usr/bin/env python3

import sys
from os import path

import numpy as np
from uncertainties import unumpy
from uncertainties.umath import *

if (len(sys.argv) < 1):
    print ("You have to specify a filename!")

file = sys.argv[1]
process_name = (path.splitext(path.basename(file))[0])
results = "results/{}.speedup".format(process_name)

n_task, m, s = np.genfromtxt (file, unpack=True)
data = unumpy.uarray (m, s)

speedup = np.max(data) / data

np.savetxt(results, np.c_[n_task, unumpy.nominal_values(speedup), unumpy.std_devs(speedup)], fmt="%i %f %f", header='Tasks Mean Variance - Speedup')
