#!/usr/bin/env python3

from uncertainties import ufloat

latex_processes = {
    "ggqqW":
    {
        'code': "$\\Pgluon \\Pgluon \\to \\PW \\Pquark \\APquark$"
    },
    "ggqqWg":
    {
        'code': "$\\Pgluon \\Pgluon \\to \\PW \\Pquark \\APquark \\Pgluon$"
    },
    "ggqqWgg":
    {
        'code': "$\\Pgluon \\Pgluon \\to \\PW \\Pquark \\APquark \\Pgluon \\Pgluon$"
    },
    "ggqqWggg":
    {
        'code': "$\\Pgluon \\Pgluon \\to \\PW \\Pquark \\APquark \\Pgluon"
        "\\Pgluon \\Pgluon$"
    },
    "jjWj":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\Pjet$"
    },
    "jjWjj":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\Pjet \\Pjet$"
    },
    "jjWjjj":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\Pjet \\Pjet \\Pjet$"
    },
    "jjWjjjj":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\Pjet \\Pjet \\Pjet \\Pjet$"
    },
    "jjWWbb":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\PW \\Pbottom \\Pbottom$"
    },
    "jjWWbbj":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\PW \\Pbottom \\Pbottom \\Pjet$"
    },
    "jjWWbbjj":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\PW \\Pbottom \\Pbottom \\Pjet \\Pjet$"
    },
    "jjWWbbbb":
    {
        'code': "$\\Pjet\\Pjet \\to \\PW \\PW \\Pbottom \\Pbottom \\Pbottom \\Pbottom$"
    }
}

# Compare Processes
lhc_processes = {
    "ggqqW":
    {
        'value': "{:S}".format(ufloat(24091, 12))
    },
    "ggqqWg":
    {
        'value': "{:S}".format(ufloat(9142, 6))
    },
    "ggqqWgg":
    {
        'value': "{:S}".format(ufloat(2363, 7))
    },
    "ggqqWggg":
    {
        'value': "{:S}".format(ufloat(524, 6))
    },
    "jjWj":
    {
        'value': "{:S}".format(ufloat(936230, 28087))
    },
    "jjWjj":
    {
        'value': "{:S}".format(ufloat(287180, 14359))
    },
    "jjWjjj":
    {
        'value': "{:S}".format(ufloat(79540, 6363))
    },
    "jjWjjjj":
    {
        'value': "{:S}".format(ufloat(20900, 627))
    },
    "jjWWbb":
    {
        'value': "{:S}".format(ufloat(27845, 11))
    },
    "jjWWbbj":
    {
        'value': "{:S}".format(ufloat(22780, 23))
    },
    "jjWWbbjj":
    {
        'value': "{:S}".format(ufloat(10500, 63))
    },
    "jjWWbbbb":
    {
        'value': "{:S}".format(ufloat(73.7, 0.7))
    }
}
